metadata:
  name: sdk-flatpak-helloworld-app
  format: "Apertis Test Definition 1.0"
  image-types:
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Install helloworld-app from the flatpak repo."

  pre-conditions:
    - "Please uninstall the org.apertis.mildenhall.helloworld-app if already installed."
    - $ flatpak uninstall org.apertis.mildenhall.helloworld-app


  expected:
    - "Hello world app window should be visible"

run:
  steps:
    - $ flatpak --user remote-add --if-not-exists --no-gpg-verify apertis-mildenhall https://images.apertis.org/flatpak/mildenhall
    - "Install the org.apertis.mildenhall.helloworld-app"
    - $ flatpak install -y apertis-mildenhall org.apertis.mildenhall.helloworld-app
    - "Wait for installation to be completed."
    - "Now run the helloworld app"
    - $ flatpak run org.apertis.mildenhall.helloworld-app
